<?
//
//
require_once($_SERVER['DOCUMENT_ROOT']."/jquery/inc/system.php"); 
//
//
if(!$user){
header('location:/login/');
exit();
}
//
//
head([]);
//
//
echo logs();
//
//
//
//
$title_item = array('','Обычное','Редкое','Эпическое','Легендарное','Мифическое','Божественное');
//
//
$rune_name = array('Отсутствует','Обычная','Редкая','Эпическая','Легендарная','Мифическая','Божественная');
//
//
$rune_name2 = array('Обычная','Редкая','Эпическая','Легендарная','Мифическая','Божественная');
//
//
if(isset($_GET['item'])){
	$id = abs(intval($_GET['item']));
	$item = DB::$dbs->queryFetch("SELECT * FROM `inv` WHERE `id_user` = ? AND `yes` = ? AND `id` = ? LIMIT 1", array($user['id'],1,$id));

	if(!$item){
		header('location:?');
		exit();
	}
//
//
$rune_level = array( 
'0' => '200', 
'1' => '400', 
'2' => '850', 
'3' => '1700', 
'4' => '3400', 
'5' => '6800'
); 
//
//
$rune_param = array( 
'0' => '50', 
'1' => '100', 
'2' => '250', 
'3' => '500', 
'4' => '1000', 
'5' => '2000'
); 
//
//
$gold = $rune_level[$item['rune']]; 
$param = $rune_param[$item['rune']]; 
//
//
if(isset($_GET['rune'])){
//
//
if($item['rune'] >= 6){ 
header('location:?item='.$item['id']); 
exit(); 
} 
// 
// 
if($user['gold'] < $gold){ 
err2("Не хватает золота для установки рун!"); 
header('location:?item='.$item['id']); 
exit(); 
} 
// 
//
DB::$dbs->query("UPDATE `inv` SET `power` = `power` + ?, `def` = `def` + ?, `hp` = `hp` + ?, `rune` = `rune` + ?, `rune_param` = `rune_param` + ? WHERE `id` = ? LIMIT 1", array($param,$param,$param,1,$param,$item['id']));
// 
DB::$dbs->query("UPDATE `users` SET `power` = `power` + ?, `def` = `def` + ?, `hp` = `hp` + ?, `gold` = `gold` - ? WHERE `id` = ? LIMIT 1", array($param,$param,$param,$gold,$user['id']));
// 
//
ok2("Заточка прошла успешно!"); 
header('location:?item='.$item['id']); 
exit(); 
} 
//
//
$info = "<img src = '/css/img/gold.png'> ".$gold.""; 
//
//
?>
<div class="poster -gas">
		    <div class="start">
		        <center>
		            <span class="title-wqi">Установка руны</span>
		        </center>
		        
    <div class="menu-not2">
    <div class="imgL">
    <img src="/css/img/items/<?=$item['set'];?>/<?=$item['type'];?>.png" width="40" height="40">
    </div> 
    <u><font color="<?=$color[$item['set']];?>"><?=$item['name'];?></font></u>
    <br>
<?=$title_item[$item['set']];?> качество
    <div class="stats2">
	</div>
	<img src="/css/img/icon_str.png"> <font color="#999999">Сила:</font> <?=$item['power'];?><br> 
    <img src="/css/img/icon_def.png"> <font color="#999999">Защита:</font> <?=$item['def'];?><br> 
    <img src="/css/img/icon_hp.png"> <font color="#999999">Здоровье:</font> <?=$item['hp'];?><br> 
	<div class="stats2">
	</div>
	<font color="#999999">Руна:</font> <font color="<?=$color[$item['rune']];?>"><?=$rune_name[$item['rune']];?></font><br>
	<font color="#999999">Бонус руны:</font> +<?=($item['rune_param']);?> к параметрам<br>
    </div>
<?
if($item['rune'] <= 5){
    ?>
    <br>
    <center><font color="<?=$color[$item['rune']+1];?>"><?=$rune_name2[$item['rune']];?> руна</font><small><br> +<?=$rune_param[$item['rune']];?> к параметрам</small></center>
    <a href="?item=<?=$item['id'];?>&rune" class="click">Установить за <?=$info;?></a>
    <?
}
    ?>
    <div class="stats2">
	</div>
	<center><a href="?">Вернуться назад</a></center>
	</div>
	</div>
<?

	foot([]);
	exit();
}
//
//
?>
<div class="poster -gas">
		    <div class="start">
		        <center>
		            <span class="title-wqi">Установка руны</span>
		        </center>
		        <?
		        
		        for($i=1;$i<=8;$i++) {

	$im = DB::$dbs->queryFetch("SELECT * FROM `inv` WHERE `type` = ? AND `yes` = ? AND `id_user` = ? LIMIT 1", array($i,1,$user['id']));



	if($im){

?>
    <div class="menu-not2">
    <div class="imgL">
    <img src="/css/img/items/<?=$im['set'];?>/<?=$im['type'];?>.png" width="40" height="40">
    </div> 
    <u><font color="<?=$color[$im['set']];?>"><?=$im['name'];?></font></u>
    <br>
    <img src="/css/img/icon_str.png"> <?=$im['power'];?> 
    <img src="/css/img/icon_def.png"> <?=$im['def'];?> 
    <img src="/css/img/icon_hp.png"> <?=$im['hp'];?> 
    </div>

    <a href="?item=<?=$im['id'];?>" class="click">Выбрать вещь</a>
	<div class="stats2"></div>	
<?
}
}

		        
		        ?>
		        	<center><a href="/profile/<?=$us['id'];?>">Вернуться назад</a></center>
		        </div>
		        </div>
<?
//
//
foot([]);
//
//
?>